Bug 644646 - Cannot create a virtual machine
Cannot create a virtual machine
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-19 17:11 EDT by Christopher Heiny
Modified: 2011-06-10 14:00 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-10 14:00:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Heiny 2010-10-19 17:11:30 EDT
Description of problem:

I'm not able to create a virtual machine on an AMD Opteron 4x12 system.  Both GUI and CLI installation methods produce the error message "internal error Process exited while reading console log output: libvir: error : cannot set CPU affinity on process 0: Invalid argument".  This happens on both 2.6.33 and 2.6.34 kernels.



Version-Release number of selected component (if applicable):  Latest


How reproducible: Always


Steps to Reproduce:
1.  Run a command like
        virt-install --connect qemu:///system -n CentOS -r 1024 --vcpus=2 -f ~/vm10.qcow2 -s 12 -c ~cheiny/downloads/centos/CentOS-5.5-x86_64-bin-DVD/CentOS-5.5-x86_64-bin-DVD-1of2.iso --vnc --noautoconsole --os-type linux  --accelerate --hvm
2.
3.
  
Actual results: See the error message above.


Expected results:  A virtual machine is created.


Additional info:

[root@kolsch ~]# uname -a
Linux kolsch.synaptics.com 2.6.33.3-85.fc13.x86_64 #1 SMP Thu May 6 18:09:49 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
[root@kolsch ~]# head -25 /proc/cpuinfo 
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 16
model           : 9
model name      : AMD Opteron(tm) Processor 6174
stepping        : 1
cpu MHz         : 2200.329
cache size      : 512 KB
physical id     : 0
siblings        : 12
core id         : 0
cpu cores       : 12
apicid          : 0
initial apicid  : 0
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nonstop_tsc extd_apicid amd_dcm pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs skinit wdt nodeid_msr
bogomips        : 4400.64
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate
Comment 1 Eugenio Diaz 2011-02-22 19:52:29 EST
If you use '--cpuset=auto' then it is created and can be run. However I think you then need to change the pinning, since it might not be optimal.

I don't know how to specify this option from the virt-manager GUI.
Comment 2 Bug Zapper 2011-05-31 07:02:29 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2011-06-10 14:00:53 EDT
Closing since F13 is going EOL. please reopen if anyone can reproduce with a newer fedora

Note You need to log in before you can comment on or make changes to this bug.